Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 997418 - allow users to download Windows virt-viewer manually (avoid ActiveX plugin)
Summary: allow users to download Windows virt-viewer manually (avoid ActiveX plugin)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.4.0
Assignee: Frantisek Kobzik
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On: 978141 1010211
Blocks: 1061172 1064852 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-08-15 13:19 UTC by Michal Skrivanek
Modified: 2014-09-18 12:24 UTC (History)
15 users (show)

Fixed In Version: av2.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1061172 1064852 (view as bug list)
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 18596 None None None Never
oVirt gerrit 19553 None None None Never
oVirt gerrit 19722 None None None Never
oVirt gerrit 24003 None None None Never
oVirt gerrit 24010 None None None Never
Red Hat Bugzilla 1039802 None None None Never

Internal Links: 1039802

Description Michal Skrivanek 2013-08-15 13:19:43 UTC
In order to be able to use MIME console launch we need to allow Windows users to download and install virt-viewer (and usb-clerk) via some other way than ActiveX plugin.

We should expose 64-bit version
/usr/share/spice/usbclerk-x64-0.0.1.1.msi
/usr/share/spice/virt-viewer-x64-0.5.6.msi

and 32bit versions:
/usr/share/spice/usbclerk-x86-0.0.1.1.msi
/usr/share/spice/virt-viewer-x86-0.5.6.msi

I was thinking the bottom of landing page would be appropriate

Comment 3 Jay Turner 2013-08-20 17:19:55 UTC
This needs to go through the exception process then as a late requirement.  Setting proposed exception.

Comment 6 Michal Skrivanek 2013-08-23 14:55:09 UTC
we are thinking of adding a page linked from Edit VM (maybe also the main landing page and other places) which would briefly describe the console access possibilities and provide downloadable resources

Comment 8 Frantisek Kobzik 2013-09-17 13:03:53 UTC
merged u/s: 17555a47cbcadfc1b44617181958bdd365fd8373

Comment 11 Alon Bar-Lev 2013-09-25 11:23:55 UTC
Please CC me for every usage of branding, so it won't be abused for something it was not designed to.

Thanks!

Comment 19 Michal Skrivanek 2013-10-10 12:58:50 UTC
patches merged, pending delivery of bug 1010211 and actual doc update

Comment 20 Marian Krcmarik 2013-11-02 16:34:49 UTC
(In reply to Michal Skrivanek from comment #19)
> patches merged, pending delivery of bug 1010211 and actual doc update

I've verified bug #1010211 on build spice-client-msi-3.3-5 which was tagged for rhevn inclusion so should be picked up with next is build, The msi files was renamed to names without version included. You are good to go.

Comment 22 Michal Skrivanek 2013-12-18 15:54:55 UTC
doc page is dead end it seems, the links cannot be added due to dependency on customer portal.
Since we run out of time, for 3.3 we're going to remove the reference to upstream wiki and add a simple static page in english only in 3.3.z

Comment 26 Frantisek Kobzik 2014-02-27 13:57:35 UTC
1064852 was set to modified, setting this bug to modified too since all prerequisities for having (localizable) console client resources are met.

Comment 27 Jiri Belka 2014-03-07 14:45:08 UTC
ok, av2.1

Comment 28 Itamar Heim 2014-06-12 14:10:05 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.